Bug 635333 - libgdl needs to be downgraded to 2.30.x
libgdl needs to be downgraded to 2.30.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgdl (Show other bugs)
14
All Linux
low Severity urgent
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-09-18 23:17 EDT by Jim Hayward
Modified: 2010-10-19 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: libgdl-2.30.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-19 05:07:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Hayward 2010-09-18 23:17:49 EDT
Description of problem:
Any application that uses libgdl in F14 segfaults on startup. This warning displayed on the console when starting an app that uses libgdl:

Gtk-WARNING **: Attempting to add a widget with type
GdlDockItem to a container of type GdlDockPaned, but the widget is already
inside a container of type GdlDock, the GTK+ FAQ at
http://library.gnome.org/devel/gtk-faq/stable/ explains how to reparent a
widget.

I can reproduce this with anjuta-2.31.90.0-1.fc14. A bug was filed for this issue against anjuta upstream. Please see this comment from the bug report.

https://bugzilla.gnome.org/show_bug.cgi?id=627463#c3

Version-Release number of selected component (if applicable):
2.31.3-1.fc14

How reproducible:
Start any application that uses libgdl.
Comment 1 Adam Williamson 2010-10-04 17:18:04 EDT
Affected packages, to me, look like:

anjuta
gnome-python2-gdl
gtranslator
solang
valide

afaict nothing on the desktop spin or default install is affected, so I would vote against this being a blocker. It's probably not NTH either given its lack of impact on the media, I think if we get past freeze it makes as much sense to make this a 0-day update as take a fix through freeze.
Comment 2 Fedora Update System 2010-10-07 16:10:58 EDT
libgdl-2.30.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libgdl-2.30.1-1.fc14
Comment 3 Fedora Update System 2010-10-08 22:54:42 EDT
libgdl-2.30.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgdl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libgdl-2.30.1-1.fc14
Comment 4 Sandro Mathys 2010-10-14 17:17:46 EDT
I can confirm this update (or actually downgrade) fixes the issue, tested with gtranslator.
Comment 5 Fedora Update System 2010-10-19 05:07:44 EDT
libgdl-2.30.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.